Skip to main content
GET
/
transfers
List Transfers
curl --request GET \
  --url https://api.caminotreasury.com/v1/transfers \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "9c1a8b2e-4f3d-4a5b-8c6d-7e8f9a0b1c2d",
      "from": {
        "address": null,
        "bankAccount": {
          "id": "11111111-2222-3333-4444-555555555555",
          "bankName": "Acme Bank",
          "accountOwnerName": "Acme Corp",
          "accountNumberLast4": "1234"
        },
        "chainId": null,
        "currency": "usd",
        "amount": "100.00"
      },
      "to": {
        "address": "0x742d35cc6634c0532925a3b844bc454e4438f44e",
        "bankAccount": null,
        "chainId": 1,
        "currency": "usdc",
        "amount": "99.50"
      },
      "status": "pending",
      "transactionHash": null,
      "createdAt": "2026-05-20T12:00:00.000Z",
      "updatedAt": "2026-05-20T12:03:42.000Z"
    }
  ],
  "nextCursor": "<string>",
  "count": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Query Parameters

limit
integer
default:50

Number of results to return (1-200, default 50).

Required range: 1 <= x <= 200
cursor
string

Opaque cursor from a previous response's nextCursor. Omit for the first page.

Response

Paginated transfers

data
object[]
required
nextCursor
string | null
required

Opaque cursor for the next page, or null if this is the last page.

count
integer
required

Number of items in data (equal to data.length).